import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { CategoryItemHighlightType } from "./CategoryItemHighlightType";
import { DataTemplate } from "igniteui-react-core/ES5/DataTemplate";
import { CategoryItemHighlightLayerFrame } from "./CategoryItemHighlightLayerFrame";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { ItemHighlightFrameRect } from "./ItemHighlightFrameRect";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { ContentControl } from "igniteui-react-core/ES5/ContentControl";
import { Rectangle } from "igniteui-react-core/ES5/Rectangle";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class CategoryItemHighlightLayer extends AnnotationLayer {
    constructor();
    protected bf(): SeriesView;
    ii(a: SeriesView): void;
    protected mq: CategoryItemHighlightLayerView;
    mt: Series;
    mx: boolean;
    mr: CategoryItemHighlightType;
    nb: DataTemplate;
    mz: number;
    mw: boolean;
    protected l7(a: Series, b: boolean): void;
    protected lu(a: Series): boolean;
    protected l9(a: Frame, b: SeriesView): void;
    private mv;
    private mu;
    protected io(a: any, b: string, c: any, d: any): void;
    private my;
    private m8(a, b, c);
    m6(a: Point, b: CategoryItemHighlightLayerFrame, c: Series): void;
    private ms(a, b);
    m7(a: Rect, b: CategoryItemHighlightLayerFrame, c: Series): void;
    protected mc(a: Frame, b: SeriesView): void;
    m9(a: ItemHighlightFrameRect, b: ContentControl): void;
    na(a: ItemHighlightFrameRect, b: Rectangle): void;
    protected c5(): boolean;
    static $$p: string[];
    static $t: Type;
}
export declare class CategoryItemHighlightLayerView extends AnnotationLayerView {
    constructor(a: CategoryItemHighlightLayer);
    protected bz: CategoryItemHighlightLayer;
    b1: Pool$1<Rectangle>;
    b0: Pool$1<ContentControl>;
    ap(): void;
    protected b2: List$1<ContentControl>;
    protected b3: List$1<Rectangle>;
    private cf();
    private b9(a);
    private cb(a);
    private ca(a);
    private cc();
    private b4(a);
    private b6(a);
    private b5(a);
    cd(a: Brush): Brush;
    ce(a: Brush): Brush;
    b8(a: Rectangle, b: number, c: number, d: number, e: number): void;
    b7(a: ContentControl, b: number, c: number): void;
    protected be(a: any, b: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    static $t: Type;
}
